MetadataImplementor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source
Interface MetadataImplementor

All Superinterfaces:
  BindingContext, Mapping, Metadata

All Known Implementing Classes:
  MetadataImpl

    public interface MetadataImplementor

extends Metadata, BindingContext, Mapping

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.metamodel.Metadata
`Metadata.Options`

Method Summary
`void` | `addCollection(PluralAttributeBinding collectionBinding)`
`void` | `addEntity(EntityBinding entityBinding)`
`void` | `addFetchProfile(FetchProfile profile)`
`void` | `addFilterDefinition(FilterDefinition filterDefinition)`
`void` | `addIdGenerator(IdGenerator generator)`
`void` | `addImport(String entityName, String entityName1)`
`void` | `addNamedNativeQuery(NamedSQLQueryDefinition def)`
`void` | `addNamedQuery(NamedQueryDefinition def)`
`void` | `addResultSetMapping(ResultSetMappingDefinition resultSetMappingDefinition)`
`void` | `addTypeDefinition(TypeDef typeDef)`
`Database` | `getDatabase()`
`MetaAttributeContext` | `getGlobalMetaAttributeContext()`
`ServiceRegistry` | `getServiceRegistry()`
`TypeResolver` | `getTypeResolver()`
`void` | `registerIdentifierGenerator(String name, String clazz)`
`void` | `setGloballyQuotedIdentifiers(boolean b)`

Methods inherited from interface org.hibernate.metamodel.Metadata
`buildSessionFactory, getCollectionBindings, getEntityBinding, getEntityBindings, getFetchProfiles, getFilterDefinitions, getIdGenerator, getImports, getNamedNativeQueryDefinitions, getNamedQueryDefinitions, getOptions, getResultSetMappingDefinitions, getRootEntityBinding, getSessionFactoryBuilder, getTypeDefinition, getTypeDefinitions`

Methods inherited from interface org.hibernate.metamodel.source.BindingContext
`getMappingDefaults, getMetadataImplementor, getNamingStrategy, isGloballyQuotedIdentifiers, locateClassByName, makeClassReference, makeJavaType, qualifyClassName`

Methods inherited from interface org.hibernate.engine.spi.Mapping
`getIdentifierGeneratorFactory, getIdentifierPropertyName, getIdentifierType, getReferencedPropertyType`

Method Detail

### getServiceRegistry

    ServiceRegistry getServiceRegistry()

  Specified by:
    `getServiceRegistry` in interface `BindingContext`

### getDatabase

    Database getDatabase()

### getTypeResolver

    TypeResolver getTypeResolver()

### addImport

    void addImport(String entityName,
                   String entityName1)

### addEntity

    void addEntity(EntityBinding entityBinding)

### addCollection

    void addCollection(PluralAttributeBinding collectionBinding)

### addFetchProfile

    void addFetchProfile(FetchProfile profile)

### addTypeDefinition

    void addTypeDefinition(TypeDef typeDef)

### addFilterDefinition

    void addFilterDefinition(FilterDefinition filterDefinition)

### addIdGenerator

    void addIdGenerator(IdGenerator generator)

### registerIdentifierGenerator

    void registerIdentifierGenerator(String name,
                                     String clazz)

### addNamedNativeQuery

    void addNamedNativeQuery(NamedSQLQueryDefinition def)

### addNamedQuery

    void addNamedQuery(NamedQueryDefinition def)

### addResultSetMapping

    void addResultSetMapping(ResultSetMappingDefinition resultSetMappingDefinition)

### setGloballyQuotedIdentifiers

    void setGloballyQuotedIdentifiers(boolean b)

### getGlobalMetaAttributeContext

    MetaAttributeContext getGlobalMetaAttributeContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.